Delete Training Material
This API enables you to delete the custom training materials uploaded to the SmartTrain feature in the ConvoKraft bot by providing the unique ID assigned to each material in the request. You can also delete multiple materials at once by passing the IDs separated by commas. Please note that deleting the training material will automatically delete the trained knowledge in the bot, and it will not be able to answer any queries based on the deleted training material.
You can integrate this functionality into your Catalyst application using the API provided below.
Request Details
Request URL
{api-domain}/convokraft/api/v1/bots/{botid}/rag_training_data?type=DEVELOPED
Note:
-
The query parameter type=DEVELOPED is used to indicate that the bot is in the developed state within the ConvoKraft service.
-
You can fetch the botid directly from the URL in the ConvoKraft service when the environment is set to Development in the console.
For example : https://console.catalyst.zoho.com/baas/v1/project/183272829220/Development#/convokraft/bots/3828281991118
Here, 3828281991118 is the botid.
Scope
ZIAPlatform.Convokraft.RAG.DELETE
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
CATALYST-ORG: {org_id}
X-CATALYST-projectid: {project id}
X-CATALYST-Environment: Development
Request JSON Properties
Response Details
This API returns the status of the delete operation along with its status code and message.
curl -X DELETE
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/convokraft/api/v1/bots/92738220219110/rag_training_data?type=DEVELOPED
-H ‘Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57’
-H ‘Content-Type: application/json’
-H ‘CATALYST-ORG: 372822922’
-H ‘X-CATALYST-projectid: 2728172727718’
-H ‘X-CATALYST-Environment: “Development”’
--data ‘{
“rag_training_data”: [
{
“id”: “67799000000084013”
}
]
}’
{
“status”: “SUCCESS”,
“code”: “SUCCESS”,
“message”: “Updated Successfully.”
}
Yes
No
Send your feedback to us